package eu.jonahbauer.chat.bot.test;

import eu.jonahbauer.chat.bot.api.Chat;
import lombok.Getter;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

@Getter
public class MockChat implements Chat {
    private final List<Message> messages = new ArrayList<>();

    @Override
    public boolean send(@NotNull String channel, @NotNull String name, @NotNull String message, boolean bottag, boolean publicId) {
        messages.add(new Message(channel, name, message, bottag, publicId));
        return true;
    }

    public record Message(String channel, String name, String message, boolean bottag, boolean publicId) {}
}
