package eu.jonahbauer.chat.bot.pizza.model;

import lombok.experimental.FieldNameConstants;

@FieldNameConstants
public record OrderItemToUser(long orderItemId, long userId, long parts, boolean payed) {
    public OrderItemToUser(long orderItemId, long userId, boolean payed) {
        this(orderItemId, userId, 1, payed);
    }

    public OrderItemToUser withPayed(boolean payed) {
        return new OrderItemToUser(orderItemId, userId, parts, payed);
    }
}
