package eu.jonahbauer.chat.server.socket;

import org.jetbrains.annotations.NotNull;

import java.util.Objects;

public record OutgoingMessage(
        @NotNull String name,
        @NotNull String message,
        @NotNull String channel,
        long delay,
        boolean publicid,
        boolean bottag
) {
    public OutgoingMessage {
        Objects.requireNonNull(channel, "channel");
        Objects.requireNonNull(name, "name");
        Objects.requireNonNull(message, "message");
    }
}
